<?php

namespace domain\Feature\Feature;

use domain\_\AbstractDefinition;

class FeatureDefinition extends AbstractDefinition
{
    public function getEntityFqcn(): string
    {
        return Feature::class;
    }

    public function getFeaturesBase(): array
    {
        return [
            Feature::ALIAS_CONTACT => 'Formulaire de contact',
            Feature::ALIAS_PRODUCT_PRICE_IMPORT => 'Produits : import prix',
            Feature::ALIAS_ONLINE_PAYMENT => 'Paiement en ligne',
            Feature::ALIAS_EXPORT_SHOPPING_CART_LABELS_ADVANCED => "Génération d'étiquettes avec un format spécifique",
            Feature::ALIAS_SETTINGS => 'Système de paramètres',
            Feature::ALIAS_SHOP_SUPPORT => 'Support boutique',
            Feature::ALIAS_SHARED_POINT_SALE => 'Points de vente partagés',
            Feature::ALIAS_SPONSORSHIP => "Parrainage producteurs",
            Feature::ALIAS_BRIDGE_SUMUP => "Pont vers SumUp",
            Feature::ALIAS_BRIDGE_EVOLIZ => "Pont vers Evoliz",
            Feature::ALIAS_PRODUCT_ACCESSORY => 'Accessoires produits',
            Feature::ALIAS_FORUM => 'Forum',
            Feature::ALIAS_AUTOMATIC_EMAIL => 'Emails automatiques',
            Feature::ALIAS_ROTATING_PRODUCT => 'Produits tournants'
        ];
    }
}